- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# cnos_vlan – Manage VLANs on CNOS network devices

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of VLANs on Lenovo CNOS network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - added in 2.8 |  | List of VLANs definitions.
associated_interfaces - added in 2.8 |  | This is a intent option and checks the operational state of the for given vlan `name` for associated interfaces. If the value in the `associated_interfaces` does not match with the operational state of vlan interfaces on device it will result in failure.
delay - added in 2.8 | Default: 10 | Delay the play should wait to check for declarative intent params values.
interfaces - / required added in 2.8 |  | List of interfaces that should be associated to the VLAN.
name - added in 2.8 |  | Name of the VLAN.
provider - added in 2.8 |  | Deprecated Starting with Ansible 2.5 we recommend using `connection: network_cli`. For more information please see the CNOS Platform Options guide. A dict object containing connection details.
| auth_pass - |  | Specifies the password to use if required to enter privileged mode on the remote device. If authorize is false, then this argument does nothing. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTH_PASS` will be used instead.
| authorize boolean | Choices: no ← yes | Instructs the module to enter privileged mode on the remote device before sending any commands. If not specified, the device will attempt to execute all commands in non-privileged mode. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTHORIZE` will be used instead.
| host - / required |  | Specifies the DNS host name or address for connecting to the remote device over the specified transport. The value of host is used as the destination address for the transport.
| password - |  | Specifies the password to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_PASSWORD` will be used instead.
| port - | Default: 22 | Specifies the port to use when building the connection to the remote device.
| ssh_keyfile - |  | Specifies the SSH key to use to authenticate the connection to the remote device. This value is the path to the key used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_SSH_KEYFILE` will be used instead.
| timeout - | Default: 10 | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| username - |  | Configures the username to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_USERNAME` will be used instead.
purge boolean added in 2.8 | Choices: no ← yes | Purge VLANs not defined in the aggregate parameter.
state - added in 2.8 | Choices: present ← absent active suspend | State of the VLAN configuration.
vlan_id - / required added in 2.8 |  | ID of the VLAN. Range 1-4094.

## Notes

Note

- Tested against CNOS 10.8.1

## Examples

    - name: Create vlan
      cnos_vlan:
        vlan_id: 100
        name: test-vlan
        state: present

    - name: Add interfaces to VLAN
      cnos_vlan:
        vlan_id: 100
        interfaces:
          - Ethernet1/33
          - Ethernet1/44

    - name: Check if interfaces is assigned to VLAN
      cnos_vlan:
        vlan_id: 100
        associated_interfaces:
          - Ethernet1/33
          - Ethernet1/44

    - name: Delete vlan
      cnos_vlan:
        vlan_id: 100
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device Sample: ['vlan 100', 'name test-vlan']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Anil Kumar Mureleedharan(@amuraleedhar)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.